Summary: 3DES crypt module for perl
Name: perl-Crypt-TripleDES
Version: 0.24
Release: 2
License: distributable
Group: Applications/CPAN
Source0: http://www.cpan.org/authors/id/V/VI/VIPUL/Crypt-TripleDES-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot/
BuildRequires: perl >= 5.6
Requires: perl >= 5.6

%description
3DES crypt module for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Crypt-TripleDES-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

(for i in `find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist"`
do
    echo $i
    echo %dir ${i%/*}
done) | sort -u > %{name}-filelist.tmp
mv -f %{name}-filelist.tmp %{name}-filelist

if [ "$(cat %{name}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}-filelist
%defattr(-,root,root)

%changelog
* Fri Oct 26 2001 Ian Macdonald <ian@caliban.org>
- 0.24
